﻿@model DustinReporting.Data.Models.RegisterModel

@{
    ViewBag.Title = "Register";
    Layout = "~/Views/Shared/_SideBarLayout.cshtml";
}


@using (Html.BeginForm("Register", "UserProfile", FormMethod.Post, new { enctype = "multipart/form-data" })) 
{
    @Html.AntiForgeryToken()


    <!-- Simple splash screen-->
    <div class="splash"> <div class="color-line"></div><div class="splash-title"><h1>Homer</h1><p>Special Admin Theme for small and medium webapp with very clean and aesthetic style and feel. </p><div class="spinner"> <div class="rect1"></div> <div class="rect2"></div> <div class="rect3"></div> <div class="rect4"></div> <div class="rect5"></div> </div> </div> </div>
    <!--[if lt IE 7]>
    <p class="alert alert-danger">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
    <![endif]-->

    <div class="color-line"></div>
    
    <div class="register-container">
        <div class="row">
            <div class="col-md-12">
                <div class="text-center m-b-md">
                    <h3>Registration</h3>
                  
                </div>
                <div class="hpanel">
                    <div class="panel-body">
                        <form action="#" id="loginForm">
                            <div class="row">
                                <div class="form-group col-lg-12">
                                    @Html.LabelFor(model => model.FirstName)
                                    @Html.EditorFor(model => model.FirstName, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.FirstName, "", new { @class = "text-danger" })
                                    
                                </div>
                                <div class="form-group col-lg-6">
                                    @Html.LabelFor(model => model.LastName)
                                        @Html.EditorFor(model => model.LastName, new { htmlAttributes = new { @class = "form-control" } })
                                        @Html.ValidationMessageFor(model => model.LastName, "", new { @class = "text-danger" })
                                    </div>

                                <div class="form-group col-lg-6">
                                    @Html.LabelFor(model => model.EmailId)
                                        @Html.EditorFor(model => model.EmailId, new { htmlAttributes = new { @class = "form-control" } })
                                        @Html.ValidationMessageFor(model => model.EmailId, "", new { @class = "text-danger" })
                                    </div>

                                <div class="form-group col-lg-6">
                                    @Html.LabelFor(model => model.Password)
                                        @Html.EditorFor(model => model.Password, new { htmlAttributes = new { @class = "form-control" } })
                                        @Html.ValidationMessageFor(model => model.Password, "", new { @class = "text-danger" })
                                    </div>

                                <div class="form-group col-lg-6">
                                    <label>Upload your photo</label>
                                    
                                    <input id="UserPhoto" name="file" type="file" placeholder="Profile Picture" class="form-control">
                                </div>

                                </div>
                            <div class="text-center">
                                <button class="btn btn-success" type="submit">Register</button>
                                <button class="btn btn-default" type="reset">Cancel</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12 text-center">
                <strong>RFID</strong> - DataLimited <br /> 2017 Copyright <br /> Contact info: support@rfid-data.com
            </div>
        </div>
    </div>
}

<script>

        $('#UserPhoto').change(function () {
            $("#Image1").show();
            var reader = new FileReader();
            reader.readAsDataURL(this.files[0]);
            reader.onload = function (e) {
                //Initiate the JavaScript Image object.
                var image = new Image();
                //Set the Base64 string return from FileReader as source.
                image.src = e.target.result;
                image.onload = function () {
                    //Determine the Height and Width.
                    var height = this.height;
                    var width = this.width;
                    if (height > 572 && width > 487) {
                        alert("Image Size Should be less than 487px and height 572px   .");
                        $("#Image1").val('');
                        $("#Image1").hide();
                        return false;
                    }
                };
            }

            var reader = new FileReader();
            reader.onload = function (e) {
                $('#Image1').attr("src", e.target.result);
            }
            reader.readAsDataURL($(this)[0].files[0]);
        });
</script>